Bug 23533 - Reindent patron entry form (memberentrygen.tt)
Summary: Reindent patron entry form (memberentrygen.tt)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23534 23536
  Show dependency treegraph
 
Reported: 2019-09-03 18:36 UTC by Owen Leonard
Modified: 2020-02-11 00:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23533: Reindent patron entry form (memberentrygen.tt) (156.81 KB, patch)
2019-09-04 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23512: (follow-up) Add markup comments (41.54 KB, patch)
2019-09-04 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23533: Reindent patron entry form (memberentrygen.tt) (156.86 KB, patch)
2019-09-06 19:46 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23512: (follow-up) Add markup comments (41.58 KB, patch)
2019-09-06 19:46 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23533: (follow-up) Add markup comments (134.63 KB, patch)
2019-09-17 18:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23533: Reindent patron entry form (memberentrygen.tt) (163.10 KB, patch)
2019-12-10 17:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23512: (follow-up) Add markup comments (78.44 KB, patch)
2019-12-10 17:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23533: (follow-up) Add markup comments (78.44 KB, patch)
2019-12-10 17:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23533: Reindent patron entry form (memberentrygen.tt) (163.15 KB, patch)
2020-01-30 23:49 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23533: (follow-up) Add markup comments (78.49 KB, patch)
2020-01-30 23:50 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23533: Reindent patron entry form (memberentrygen.tt) (163.21 KB, patch)
2020-02-04 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23533: (follow-up) Add markup comments (78.55 KB, patch)
2020-02-04 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23533: Remove spaces after/before the open/close parenthesis (2.12 KB, patch)
2020-02-04 15:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-09-03 18:36:04 UTC
I would like to reindent members/memberentrygen.tt. Correct indentation, replace tabs with spaces, and add some comments to clarify the structure.
Comment 1 Owen Leonard 2019-09-04 15:14:39 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-09-04 15:14:42 UTC Comment hidden (obsolete)
Comment 3 Maryse Simard 2019-09-06 19:46:18 UTC Comment hidden (obsolete)
Comment 4 Maryse Simard 2019-09-06 19:46:23 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2019-09-17 18:52:49 UTC Comment hidden (obsolete)
Comment 6 Jesse Maseto 2019-10-03 14:16:52 UTC
Patch did not apply. Merge conflicts.
Comment 7 Séverine Queune 2019-10-04 12:32:33 UTC
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 23533: (follow-up) Add markup comments
Comment 8 Owen Leonard 2019-12-10 17:45:10 UTC
Created attachment 96170 [details] [review]
Bug 23533: Reindent patron entry form (memberentrygen.tt)

This patch re-indents the template for patron entry/editing. It
makes only whitespace changes. It should have no effect on the behavior
of the page.

To test, create or edit a patron.

Test every aspect of the process. At each step the page should work
correctly. Including:

 - Adult patron
 - Child patron
 - Organizational patron
 - Quick patron add
 - Duplicate patron
 - With mandatory fields
 - With 'BorrowerUnwantedField's defined
 - With ExtendedPatronAttributes enabled
Comment 9 Owen Leonard 2019-12-10 17:45:13 UTC Comment hidden (obsolete)
Comment 10 Owen Leonard 2019-12-10 17:46:34 UTC
Created attachment 96172 [details] [review]
Bug 23533: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.
Comment 11 Lucas Gass 2020-01-30 23:49:37 UTC
Created attachment 98189 [details] [review]
Bug 23533: Reindent patron entry form (memberentrygen.tt)

This patch re-indents the template for patron entry/editing. It
makes only whitespace changes. It should have no effect on the behavior
of the page.

To test, create or edit a patron.

Test every aspect of the process. At each step the page should work
correctly. Including:

 - Adult patron
 - Child patron
 - Organizational patron
 - Quick patron add
 - Duplicate patron
 - With mandatory fields
 - With 'BorrowerUnwantedField's defined
 - With ExtendedPatronAttributes enabled

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 12 Lucas Gass 2020-01-30 23:50:03 UTC
Created attachment 98190 [details] [review]
Bug 23533: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.

https://bugs.koha-community.org/show_bug.cgi?id=23533

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 13 Katrin Fischer 2020-02-04 07:07:08 UTC
Created attachment 98359 [details] [review]
Bug 23533: Reindent patron entry form (memberentrygen.tt)

This patch re-indents the template for patron entry/editing. It
makes only whitespace changes. It should have no effect on the behavior
of the page.

To test, create or edit a patron.

Test every aspect of the process. At each step the page should work
correctly. Including:

 - Adult patron
 - Child patron
 - Organizational patron
 - Quick patron add
 - Duplicate patron
 - With mandatory fields
 - With 'BorrowerUnwantedField's defined
 - With ExtendedPatronAttributes enabled

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2020-02-04 07:07:12 UTC
Created attachment 98360 [details] [review]
Bug 23533: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the interface or functionality.

https://bugs.koha-community.org/show_bug.cgi?id=23533

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Martin Renvoize 2020-02-04 10:22:08 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 16 Jonathan Druart 2020-02-04 15:03:44 UTC
t/db_dependent/selenium/patrons_search.t is failing because of this change:


    #          got: 'Koha › Patrons › Modify patron <strong>fir's"tname</strong> \123 ❤ test_patron_1 ( iOVAoJj )'
    #     expected: 'Koha › Patrons › Modify patron <strong>fir's"tname</strong> \123 ❤ test_patron_1 (iOVAoJj)'


We are adding space after and before the open/close parenthesis of the category code.
Comment 17 Jonathan Druart 2020-02-04 15:06:19 UTC
Created attachment 98409 [details] [review]
Bug 23533: Remove spaces after/before the open/close parenthesis

t/db_dependent/selenium/patrons_search.t is failing because of this change:

    #          got: 'Koha › Patrons › Modify patron <strong>fir's"tname</strong> \123 ❤ test_patron_1 ( iOVAoJj )'
    #     expected: 'Koha › Patrons › Modify patron <strong>fir's"tname</strong> \123 ❤ test_patron_1 (iOVAoJj)'

We are adding space after and before the open/close parenthesis of the category code.
Comment 18 Martin Renvoize 2020-02-04 15:09:51 UTC
Followup pushed, thanks Jonathan
Comment 19 Joy Nelson 2020-02-11 00:02:47 UTC
Enhancement not backported to 19.11.x